package java.nio.channels;

import java.net.NetworkInterface;
import java.net.InetAddress;
import java.io.IOException;

public interface MulticastChannel extends NetworkChannel
{
    public abstract void close() throws IOException;
    
    public abstract MembershipKey join(InetAddress p0, NetworkInterface p1) throws IOException;
    
    public abstract MembershipKey join(InetAddress p0, NetworkInterface p1, InetAddress p2) throws IOException;
}
